import { IsString } from 'class-validator';
import { InternalServerError } from 'routing-controllers';

/**
 * Error to throw when a permission couldn't be found.
 */
export class MailSendingError extends InternalServerError {
    @IsString()
    name = "MailSendingError"

    @IsString()
    message = "We had a problem sending the mail!"

    constructor() {
        super("We had a problem sending the mail!");
    }
}