import { ResponseObjectType } from '../enums/ResponseObjectType';

/**
 * Defines the repsonse interface.
 * This forces all response classes to implement the interfaces properties.
*/
export interface IResponse {
    /**
    * The responseType.
    * This contains the type of class/entity this response contains.
    */
    responseType: ResponseObjectType;
}
